Bug 164180 - [PATCH] multimedia/mp4v2: Fix build with clang
Summary: [PATCH] multimedia/mp4v2: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-15 18:40 UTC by Yuri Pankov
Modified: 2012-01-25 06:45 UTC (History)
1 user (show)

See Also:


Attachments
mp4v2-1.9.1.patch (5.29 KB, patch)
2012-01-15 18:40 UTC, Yuri Pankov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Pankov 2012-01-15 18:40:09 UTC
Fix build with clang (taken from mp4v2 svn).

Added file(s):
- files/patch-src__bmff__typebmff.cpp
- files/patch-src__itmf__type.cpp

Port maintainer (multimedia@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-01-15 18:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=164180 

Date: Tue, 24 Jan 2012 11:21:43 +0100
Comment 2 Max Brazhnikov 2012-01-24 12:24:50 UTC
grab PR and consider yourself in multimedia@ :)

Max
Comment 3 Alberto Villa freebsd_committer 2012-01-24 12:30:17 UTC
On Tue, Jan 24, 2012 at 1:24 PM, Max Brazhnikov <makc@issp.ac.ru> wrote:
> grab PR and consider yourself in multimedia@ :)

Yay! :)
-- 
Alberto Villa, FreeBSD committer <avilla@FreeBSD.org>
http://people.FreeBSD.org/~avilla
Comment 4 dfilter service freebsd_committer 2012-01-24 14:32:38 UTC
avilla      2012-01-24 14:32:24 UTC

  FreeBSD ports repository

  Added files:
    multimedia/mp4v2/files patch-src__bmff__typebmff.cpp 
                           patch-src__itmf__type.cpp 
  Log:
  - Fix build with Clang.
  
  PR:             164180
  Submitted by:   Yuri Pankov <yuri.pankov@gmail.com>
  
  Revision  Changes    Path
  1.1       +35 -0     ports/multimedia/mp4v2/files/patch-src__bmff__typebmff.cpp (new)
  1.1       +80 -0     ports/multimedia/mp4v2/files/patch-src__itmf__type.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alberto Villa freebsd_committer 2012-01-24 14:32:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!